Bug 274921 - mugshot icon seen twice in splash screen during desktop startup
Summary: mugshot icon seen twice in splash screen during desktop startup
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mugshot (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All All
medium
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-03 07:42 UTC by Nils Philippsen
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 15:48:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2007-09-03 07:42:39 UTC
Description of problem:
$SUBJECT, furthermore, you see 2 "Mugshot" entries in the "Startup Programs" tab
of (F)->System->Preferences->Personal->Sessions.

Version-Release number of selected component (if applicable):
mugshot-1.1.49-1.fc7 (from updates-testing)

How reproducible:
Easy.

Steps to Reproduce:
1. Enable splash screen during desktop startup (gconf key
/apps/gnome-session/options/show_splash_screen)
2. (Re-)Login
  
Actual results:
Mugshot icon seen twice in splash screen.

Expected results:
Mugshot icon seen once.

Additional info:
There are two mugshot files in /usr/share/gnome/autostart, namely
mugshot.desktop and mugshot-autostart.desktop. Both differ only slightly:

nils@wombat:/usr/share/gnome/autostart> diff -u mugshot*
--- mugshot-autostart.desktop   2007-08-02 20:21:31.000000000 +0200
+++ mugshot.desktop     2007-08-02 20:21:32.000000000 +0200
@@ -4,9 +4,10 @@
 Name=Mugshot
 GenericName=Mugshot
 Comment=Companion software for mugshot.org
-Exec=mugshot --no-show-window
+Exec=mugshot
 Terminal=false
 Type=Application
 Icon=mugshot
 StartupNotify=false
 Categories=Network;GNOME;GTK;X-Fedora;X-Red-Hat-Base;
+X-Desktop-File-Install-Version=0.12

After being logged in, only one mugshot process is running so I guess that one
of these files can be dropped.

Comment 1 Owen Taylor 2007-09-04 15:48:37 UTC
Packaging problem - things weren't adapted correctly when we added a different
mugshot-autostart.desktop. Fixed in package CVS, will be fixed next time we
build a client.



Note You need to log in before you can comment on or make changes to this bug.